<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;

class RelVendAreaAtend  {

    protected $elProdModTipocons;
    protected $utilService;
    
    public function __construct(Services\RelVendAreaAtend $elProdModTipocons, Utilities\Util $utilService) {
        $this->RelVendAreaAtend = $elProdModTipocons;
        $this->utilService = $utilService;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        
        $conditions = $this->utilService->getParamsAsArray($request);
        $conditions = $this->RelVendAreaAtend->buildParamsFaturamento($conditions);
        
        unset($conditions['NMMODALIDADE']);
        
        $result = $this->RelVendAreaAtend->find($conditions['CDFILIAL'], $conditions['CDLOJA'], $conditions['TCDLOJA'], $conditions['DATAINI'], $conditions['DATAFIN'], $conditions['MODALIDADE'], $conditions['TMODALIDADE'], $conditions['NRORG']);
        
        $response->addDataSet(new DataSet("vnd55021_relVendAreaAtend", $result));
        
        return $response;
    }
}
